Subject: Re: Shape problem + Curren project
From: "Ott M. Aaloe" <[email-masked]>
To: [email-masked]
Date: Thu, 21 Jul 1994 17:04:52 +0300 (EETDST)

> Wo how many shapes fo you waant, 2600????? Ummm no can do, I think 
> calculation for objects is 32K/size of .object which for a shape I think 
> is, hmmm, let me see... 32, so 1000 is the max.
> Best way around this if you are not after incredible speed and shapes are 
> all one size is to lay them out on a big bitmap and use getashape when 
> you need them or scroll to just plonk them down.
> Please tell us what you are doing you crazy BlitzMan!

Thanx for Acid for clearing this thing out! So 1000 shapes is limit.
Just wondering why ted lets me set the # of shapes > than 1000.

Well...anyway, I suppose some of U out there wonder why the hell
I need so many shapes?
So here's some information about my project to clear thing out:

It's the clone of the game called Turbo Rocket (original was in 
fact called Turbo Raketti) by Finnish dude Heikki Kosola.
In my oppinion it's the best shareware 2 player game I've ever seen.
In short it's 2 player gravity (thrust) game. As the gfx
wasn't very impressive and I just had some cool ideas 
of my own I decided to create my own verion of it.
It'll be AGA only game (maybe cut-down versions later).
Almost all GFX will be rendered (Real 3D). For one player
there are 256 shapes (it really looks 3D-ish and cool). So
thats why so many shapes - as I need for players 512 then there
will be some bonus and other stuff (well ok...I hope I'll manage
with 1000 shapes too ;). Then there are some kewl tunes and
sound effects too. The game is not just pure soot'em'up -
there will be some racing sections too. In fact I've design it
as a racing game with this little feature to trash your opponent :).

Anyway it's kinda hard to explain all features- U just have to see 
it. I'm not working on it alone - there is one GFX artist,
one dude is rendering specialist and coder and then there's me -
muzak+fx an coding.

Well I hope U wish me luck coz I've working on this project for 
about half a year now (first in am*s - yes I dropped this one
coz it was too slow) and now in blitz.

So if I manage to make some working version of it I'll upload
it to aminet. 

Be well dudes! CU! 

    

                O.T.T. ([email-masked])